Module jdk.jfr
Package jdk.jfr

# Annotation Type StackTrace

    @Target(TYPE)
    @Inherited
    @Retention(RUNTIME)
    public @interface StackTrace

Event annotation, determines whether an event by default has a stack trace or not.

Since:
  9

## Field Summary

Fields
Modifier and Type | Fields | Description
--- | --- | ---
`static String` | `NAME` | Settings name `"stackTrace"` to be used for enabling event stack traces.

## Optional Element Summary

Optional Elements
Modifier and Type | Optional Element | Description
--- | --- | ---
`boolean` | `value` | Returns if the stack trace from the `Event#commit()` method should be recorded.

## Field Details

### NAME

static final String NAME
Settings name `"stackTrace"` to be used for enabling event stack traces.

## Element Details

### value

boolean value
Returns if the stack trace from the `Event#commit()` method should be recorded.

Returns:
  `true` if the stack trace should be recorded, `false` otherwise

Default:
  true